libzypp 17.37.10

serviceswf.h File Reference
`#include <zypp-core/zyppng/base/zyppglobal.h>`
`#include <zypp-core/zyppng/pipelines/AsyncResult>`
`#include <zypp-core/zyppng/pipelines/Expected>`
`#include <zypp/RepoManagerFlags.h>`
`#include <zypp/ng/repomanager.h>`
`#include <zypp/repo/ServiceType.h>`
`#include <zypp/ServiceInfo.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::RepoServicesWorkflow

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Context)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (SyncContext)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProgressObserver)
AsyncOpRef< expected< std::pair< zypp::ServiceInfo, RepoInfoList > > > | zyppng::RepoServicesWorkflow::fetchRepoListfromService (ContextRef ctx, zypp::Pathname root_r, ServiceInfo service, ProgressObserverRef myProgress)
expected< std::pair< zypp::ServiceInfo, RepoInfoList > > | zyppng::RepoServicesWorkflow::fetchRepoListfromService (SyncContextRef ctx, zypp::Pathname root_r, ServiceInfo service, ProgressObserverRef myProgress)
AsyncOpRef< expected< zypp::repo::ServiceType > > | zyppng::RepoServicesWorkflow::probeServiceType (ContextRef ctx, const zypp::Url &url)
expected< zypp::repo::ServiceType > | zyppng::RepoServicesWorkflow::probeServiceType (SyncContextRef ctx, const zypp::Url &url)
AsyncOpRef< expected< void > > | zyppng::RepoServicesWorkflow::refreshService (AsyncRepoManagerRef repoMgr, ServiceInfo info, zypp::RepoManagerFlags::RefreshServiceOptions options)
expected< void > | zyppng::RepoServicesWorkflow::refreshService (SyncRepoManagerRef repoMgr, ServiceInfo info, zypp::RepoManagerFlags::RefreshServiceOptions options)